Ad InsertionGet Ad Insertion Logs

Get Ad Insertion Logs

Custom Plan Returns ad insertion log lines for the stream. Not paginated server-side; narrow the marker/end_marker range for large windows.

curl -X GET "https://api.5centscdn.com/v2/streams/push/123/adinsertion/logs?source=service&order=desc&marker=42&end_marker=42" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_API_KEY"
{
  "result": "success",
  "message": "example_string",
  "data": [
    {
      "time": 1778066400000,
      "level": "info",
      "action": "adserver.request",
      "name": "Ad Server Request",
      "message": "Fetched VAST response in 214ms"
    }
  ]
}
GET
/streams/push/{streamid}/adinsertion/logs
GET
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-API-Key)
X-API-Keystring
Required

API key (sent in header)

path
streamidinteger
Required

Numeric stream ID.

query
sourcestring
Required

Log source to read from.

Options: live, ad-server, slate, service
query
orderstring

Sort order by time.

Options: asc, desc
query
markerinteger

Cursor - start of the time window, Unix epoch milliseconds.

Format: int64
query
end_markerinteger

Cursor - end of the time window, Unix epoch milliseconds.

Format: int64
Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-API-Keystring
Required

API Key for authentication. Provide your API key in the header.

Path Parameters

streamidinteger
Required

Numeric stream ID.

Query Parameters

sourcestring
Required

Log source to read from.

Allowed values:livead-serverslateservice
orderstring

Sort order by time.

Allowed values:ascdesc
markerinteger

Cursor - start of the time window, Unix epoch milliseconds.

end_markerinteger

Cursor - end of the time window, Unix epoch milliseconds.

Responses

resultstring
Allowed values:successerror
messagestring
dataarray